/**********************************************************************
 
	Copyright (C) 2003 Hirohisa MORI <joshua@nichibun.ac.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/


#include "v/VgbFlame.h"


VExError
VgbFlame::create_do(const VObjectStatus* s, int flags,VObject * nmp, void * arg)
{
  return initial_VExError(V_ER_NO_ERR,0,0);
}


VExError
VgbFlame::get_status(VObjectStatus * s,int flags) const
{
	return initial_VExError(V_ER_NOT_SUPPORT,flags,0);
}

VExError
VgbFlame::set_status(const VObjectStatus * s,int flags)
{
	return initial_VExError(V_ER_NOT_SUPPORT,flags,0);
}


VgbFlame::~VgbFlame()
{
}


VExError
VgbFlame::set_switch_status(const VgbFlameSwitchStatus * s,int flags)
{
VExError err;
	err.code = V_ER_NOT_SUPPORT;
	err.subcode1 = 0;
	err.subcode2 = 0;
	return err;
}

VExError
VgbFlame::get_switch_status(VgbFlameSwitchStatus * s,int flags) const
{
VExError err;
	err.code = V_ER_NOT_SUPPORT;
	err.subcode1 = 0;
	err.subcode2 = 0;
	return err;
}


VExError
VgbFlame::set_flame_status(
	const VgbFlameStatus * s,
	int flags)
{
VExError err;
	err.code = V_ER_NOT_SUPPORT;
	err.subcode1 = 0;
	err.subcode2 = 0;
	return err;
}




VExError
VgbFlame::get_flame_status(
	VgbFlameStatus * s,
	int flags) const
{
VExError err;
	err.code = V_ER_NOT_SUPPORT;
	err.subcode1 = 0;
	err.subcode2 = 0;
	return err;
}


void
VgbFlame::redraw(VRect * rect) const
{
}


VError
VgbFlame::drag(int type,VPoint start,VPoint end)
{
	return V_ER_NOT_SUPPORT;
}


VExError 
VgbFlame::get_coordinate_status(
	VgbFlameCoordinateStatus *,
	int flags) const
{
VExError err;
	err.code = V_ER_NOT_SUPPORT;
	err.subcode1 = 0;
	err.subcode2 = 0;
	return err;
}


VExError
VgbFlame::set_coordinate_status(
	const VgbFlameCoordinateStatus *,
	int flags)
{
VExError err;
	err.code = V_ER_NOT_SUPPORT;
	err.subcode1 = 0;
	err.subcode2 = 0;
	return err;
}


VExError
VgbFlame::get_radar_status(
	VgbFlameRadarStatus *,
	int flags) const
{
VExError err;
	err.code = V_ER_NOT_SUPPORT;
	err.subcode1 = 0;
	err.subcode2 = 0;
	return err;
}
	
VExError
VgbFlame::set_radar_status(
	VgbFlameRadarStatus *,
	int flags)
{
VExError err;
	err.code = V_ER_NOT_SUPPORT;
	err.subcode1 = 0;
	err.subcode2 = 0;
	return err;
}


VExError VgbFlame::create_do_out_of_lock(
		const VObjectStatus *,int flags,VObject * nmp,void * arg)
{
	return initial_VExError(V_ER_NO_ERR,0,0);
}

